pandoc-lua-marshal-0.3.2.1: Use pandoc types in Lua

Copyright | © 2021-2026 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.Format

Description

Marshaling/unmarshaling functions of `Format` values.

Synopsis

- peekFormat :: Peeker e Format
- pushFormat :: Pusher e Format

# Documentation

peekFormat :: Peeker e Format Source #

Retrieves a `Format` value from a string.

pushFormat :: Pusher e Format Source #

Pushes a `Format` value as a string.